## org.eclipse.m2m.atl.core.ui.launch
Class AtlTabGroup

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
          org.eclipse.m2m.atl.core.ui.launch.AtlTabGroup

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchConfigurationTabGroup

    public class AtlTabGroup

extends org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

This class create tabGroup in order to create configuration in Run or Debug mode.

Field Summary

Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`fTabs`

Constructor Summary
`AtlTabGroup()` Constructs a new Java applet tab group.

Method Summary
`void` `createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog, java.lang.String mode)`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
`dispose, getTabs, initializeFrom, launched, performApply, setDefaults, setTabs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlTabGroup

    public AtlTabGroup()

  Constructs a new Java applet tab group.

Method Detail

### createTabs

    public void createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog dialog,
                           java.lang.String mode)

  See Also:
    `ILaunchConfigurationTabGroup.createTabs(org.eclipse.debug.ui.ILaunchConfigurationDialog, java.lang.String)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.